> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculations that produce a parameter

> Every calculation, with options filled in, whose outputs include ``parameter``.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /model_builders/calculations/producing
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /model_builders/calculations/producing:
    get:
      tags:
        - Model builders
      summary: Calculations that produce a parameter
      description: >-
        Every calculation, with options filled in, whose outputs include
        ``parameter``.
      operationId: get_calculations_producing_model_builders_calculations_producing_get
      parameters:
        - name: parameter
          in: query
          required: true
          schema:
            type: string
            title: Parameter
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CalculationVariant'
                title: >-
                  Response Get Calculations Producing Model Builders
                  Calculations Producing Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CalculationVariant:
      properties:
        type:
          type: string
          title: Type
        summary:
          type: string
          title: Summary
        options:
          additionalProperties: true
          type: object
          title: Options
        inputs:
          items:
            type: string
          type: array
          title: Inputs
        outputs:
          items:
            type: string
          type: array
          title: Outputs
      type: object
      required:
        - type
        - summary
        - options
        - inputs
        - outputs
      title: CalculationVariant
      description: A calculation, with options filled in, that produces a given parameter.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.